* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
	background-image: linear-gradient(to top, #f2afdf 0%, #98b5e7 100%);
	font-family: 'Montserrat', sans-serif;
	font-size: 16px;
	color: rgb(161, 157, 157);
}

h1 {
	padding: 10px;
	text-transform: uppercase;
	text-align: center;
	color: azure;
}

input {
	margin-top: 10px;
	padding: 5px 10px;
	background: none;
	font-size: 12px;
	color: rgb(161, 157, 157);
	border: none;
	border-bottom: 2px solid #ddd;
}

button {
	margin-left: 50px;
	margin-top: 10px;
	padding: 10px;
	background: none;
	font-size: 10px;
	text-transform: uppercase;
	font-weight: bold;
	color: rgb(161, 157, 157);
	border-radius: 5px;
	border: 2px solid rgb(56, 54, 54);
	cursor: pointer;
	transition: background-color 0.5s, color 0.5s;
}

button:hover {
	background-color: hsl(219, 67%, 80%);
	color: rgb(7, 7, 7);
}

.wrapper {
	width: 100%;
	max-width: 800px;
	padding: 20px 10px;
	background-color: rgba(0, 0, 0, 0.9);
	border: 2px solid #ccc;
	border-radius: 25px;
}

.top {
	height: 230px;
}

.bottom {
	height: 140px;
}

.main-info {
	display: flex;
	justify-content: space-around;
	align-items: center;
	height: 200px;
}

.city-name {
	margin-left: 5px;
	font-size: 25px;
	color: rgb(235, 155, 215);
}

.headings,
.weather-info {
	display: flex;
	align-items: center;
}

.headings p {
	width: 33.3%;
	text-align: center;
	font-size: 11px;
	color: rgb(189, 186, 186);
}

.weather-info p {
	width: 33.3%;
	margin-top: 20px;
	text-align: center;
	font-weight: bold;
	color: rgb(170, 128, 173);
}

.headings {
	height: 35%;
	margin-top: 15px;
	text-transform: uppercase;
	font-weight: bold;
	border-top: 1px solid #ddd;
	border-bottom: 1px solid #ddd;
}

.weather-info {
	font-size: 20px;
}

.image {
	object-fit: contain;
	width: 90px;
	height: 90px;
	margin-left: 15px;
}

.validation {
	margin: 10px auto;
	font-size: 10px;
	color: tomato;
}

@media (min-width: 576px) {
	body {
		font-size: 20px;
	}

	input {
		font-size: 16px;
	}

	.city-name {
		font-size: 45px;
	}

	.top {
		height: 260px;
	}

	.validation {
		margin-top: 10px;
		font-size: 14px;
	}

	.image {
		width: 140px;
		height: 140px;
	}

	.headings p {
		font-size: 20px;
	}

	.weather-info {
		font-size: 26px;
	}

	.wrapper {
		padding: 20px 40px;
	}

	button {
		font-size: 14px;
	}
}
